org.apache.lucene.analysis.util

## Interface MultiTermAwareComponent

- All Known Implementing Classes:
    ArabicNormalizationFilterFactory, ASCIIFoldingFilterFactory, BengaliNormalizationFilterFactory, CJKWidthFilterFactory, DecimalDigitFilterFactory, ElisionFilterFactory, GermanNormalizationFilterFactory, GreekLowerCaseFilterFactory, HindiNormalizationFilterFactory, IndicNormalizationFilterFactory, IrishLowerCaseFilterFactory, LowerCaseFilterFactory, LowerCaseTokenizerFactory, MappingCharFilterFactory, PatternReplaceCharFilterFactory, PersianCharFilterFactory, PersianNormalizationFilterFactory, ScandinavianFoldingFilterFactory, ScandinavianNormalizationFilterFactory, SerbianNormalizationFilterFactory, SoraniNormalizationFilterFactory, TrimFilterFactory, TurkishLowerCaseFilterFactory, UpperCaseFilterFactory

  Deprecated.
  Removed from 8.0 onwards, please see LUCENE-8497 for replacement details.

      @Deprecated
      public interface MultiTermAwareComponent

  Add to any analysis factory component to allow returning an analysis component factory for use with partial terms in prefix queries, wildcard queries, range query endpoints, regex queries, etc. Components implementing this interface should not add or remove tokens from the token stream, and should be able to deal with special characters indicating that multi-term queries are required (eg slashes for regex, wildcard characters, etc)
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Deprecated. Returns an analysis component to handle analysis if multi-term queries.

- - ### Method Detail

    - #### getMultiTermComponent

          AbstractAnalysisFactory getMultiTermComponent()

      Deprecated.
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.